
ctools - Action #2152

Make sure that all ctools/cscripts work for non-CTA observations

07/11/2017 05:46 PM - Knödlseder Jürgen

Status: In Progress Start date: 07/11/2017

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 10%

Category:  Estimated time: 0.00 hour

Target version:    

Description

The GCTAObservation class handles different instrument types, but not all ctools properly handle non-CTA instruments. For

example, ctobssim generates a CTA event list even if the Instrument Response Function used for the simulation is a non-CTA IRF.

The code (probably mainly in GammaLib) should be changed so that proper forwarding of instrument types is guaranteed.

History

#1 - 07/25/2018 10:16 PM - Knödlseder Jürgen

- Target version set to 1.6.0

See also #2140 for an issue with the background model that is generated by ctbkgcube.

#2 - 07/30/2018 03:54 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 10

#3 - 07/30/2018 04:11 PM - Knödlseder Jürgen

The GCTAResponseIrf::read method always opens a cta calibration database, which means that we cannot use mission name as instrument name in

a CTA observation. This also means that whatever the instrument (H.E.S.S., VERITAS, MAGIC), the IRF needs to be in the cta folder of the

response.

The GCTAResponseIrf::read method should be changed so that in case that an instrument attribute is available in the XML file, this attribute is

transformed to lower case and used when opening the calibration database.

#4 - 01/21/2019 03:26 PM - Knödlseder Jürgen

- Target version deleted (1.6.0)

Do not include in 1.6.0 release
